IF "%1"=="lib" GOTO Make_libs

attrib -r inc\version.h
bin\reversion inc\version.h %1 %2 %3 %4
call make_hex.bat %1 %2 %3 %4 > make_hex.txt
bin\p_merge %1 %2 %3 %4
bin\p_check make_hex.txt p_check.txt
p_check.txt
GOTO End

:Make_libs
call makelibs.bat %2 > make_lib.txt
bin\p_check make_lib.txt p_check.txt
p_check.txt

:End
